Property content Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.momorooms.com/doc/gh-static-content/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "GH Static Content MCP server": {
    "url": "https://developers.momorooms.com/doc/gh-static-content/mcp"
  }
}

Close
POST /v1/property/content

Fetch all the property content for given propertyId(s).

application/json

Body Required

  • propertyIds array[integer(int64)] Required

    List of Momorooms ID(s) of the properties to get complete static content

    At least 1 but not more than 5 elements.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • properties array[object]

      List of properties with their content details

      Hide properties attributes Show properties attributes object
      • id integer(int64)

        Momorooms ID of the available property based on the search criteria.

      • giata string

        GIATA code of the Momorooms ID.

      • name object
        Hide name attributes Show name attributes object
        • en string

          Content in English.

        • de string

          Content in German.

      • accommodation_type string

        Hotel Type of the Momorooms ID.

      • chain object
        Hide chain attributes Show chain attributes object
        • name string

          Chain name of the Momorooms ID.

        • code string

          Chain code of the Momorooms ID.

      • contact object
        Hide contact attributes Show contact attributes object
        • phone string

          Phone number of the Momorooms ID.

        • email string

          Contact email of the Momorooms ID.

      • location object
        Hide location attributes Show location attributes object
        • coordinates object
          Hide coordinates attributes Show coordinates attributes object
          • latitude number(double)

            latitude Location of the Momorooms ID.

          • longitude number(double)

            longitude Location of the Momorooms ID.

        • country_iso_code string

          Country of the Momorooms ID.

        • region object
          Hide region attributes Show region attributes object
          • en string

            Content in English.

          • de string

            Content in German.

        • city object
          Hide city attributes Show city attributes object
          • en string

            Content in English.

          • de string

            Content in German.

        • address string

          Address of the Momorooms ID.

        • postal_code string

          Postal Code of the Momorooms ID.

      • stars integer(int32)

        Star rating of the Momorooms ID.

      • checkin_checkout object
        Hide checkin_checkout attributes Show checkin_checkout attributes object
        • checkin_time object
          Hide checkin_time attributes Show checkin_time attributes object
          • from string

            Time from when we can CheckIn/CheckOut.

          • to string

            Time till when we can CheckIn/CheckOut.

        • checkout_time object
          Hide checkout_time attributes Show checkout_time attributes object
          • from string

            Time from when we can CheckIn/CheckOut.

          • to string

            Time till when we can CheckIn/CheckOut.

      • dsa object
        Hide dsa attributes Show dsa attributes object
        • registration_number string

          Registration Number of the Momorooms ID.

        • email string

          Registered Email of the Momorooms ID.

        • name string

          Registered Name of the Momorooms ID.

        • phone string

          Registered phone of the Momorooms ID.

        • trade_register string

          Trade Register of the Momorooms ID.

        • license_numbers array[string]

          License Numbers of the Momorooms ID.

        • address object
          Hide address attributes Show address attributes object
          • street string

            Registered trade street name where hotel/property is located.

          • postalCode string

            Registered trade postalCode where hotel/property is located.

          • city string

            Registered trade city where hotel/property is located.

          • country string

            Registered trade country where hotel/property is located.

      • descriptions object
        Hide descriptions attributes Show descriptions attributes object
        • en array[object]

          Description in the english language.

          Hide en attributes Show en attributes object
          • title string

            Description's Title of the Momorooms ID.

          • description string

            Description of the Momorooms ID.

        • de array[object]

          Description in the German language.

          Hide de attributes Show de attributes object
          • title string

            Description's Title of the Momorooms ID.

          • description string

            Description of the Momorooms ID.

      • images array[object]

        Images of the Momorooms ID.

        Hide images attributes Show images attributes object
        • url string

          Image URL of the Momorooms ID.

        • position number(int32)

          Display Position of the Image of the Momorooms ID.

      • services object
        Hide services attributes Show services attributes object
        • en array[object]

          Description in the english language.

          Hide en attributes Show en attributes object
          • type string

            Type of Service supported by the Momorooms ID.

          • description string

            Service Description of the Momorooms ID.

          • has_cost boolean

            Is Cost associated to the Service or not.

        • de array[object]

          Description in the German language.

          Hide de attributes Show de attributes object
          • type string

            Type of Service supported by the Momorooms ID.

          • description string

            Service Description of the Momorooms ID.

          • has_cost boolean

            Is Cost associated to the Service or not.

  • 400 application/json

    Client Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        2001PropertyIds is required, Please provide a valid value
        2002Number of property requested must be within 5
        2004Number of property requested must be greater than 1
        2003None of the requested properties is not in the contracted properties

  • 500 application/json

    Server Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        500An unexpected error occurred. Please try again later.

POST /v1/property/content
curl \
 --request POST 'https://partner.momorooms.com/v1/property/content' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"propertyIds":[42]}'
Request examples
{
  "propertyIds": [
    42
  ]
}
Response examples (200)
{
  "properties": [
    {
      "id": 42,
      "giata": "string",
      "name": {
        "en": "string",
        "de": "string"
      },
      "accommodation_type": "string",
      "chain": {
        "name": "string",
        "code": "string"
      },
      "contact": {
        "phone": "string",
        "email": "string"
      },
      "location": {
        "coordinates": {
          "latitude": 42.0,
          "longitude": 42.0
        },
        "country_iso_code": "string",
        "region": {
          "en": "string",
          "de": "string"
        },
        "city": {
          "en": "string",
          "de": "string"
        },
        "address": "string",
        "postal_code": "string"
      },
      "stars": 42,
      "checkin_checkout": {
        "checkin_time": {
          "from": "string",
          "to": "string"
        },
        "checkout_time": {
          "from": "string",
          "to": "string"
        }
      },
      "dsa": {
        "registration_number": "string",
        "email": "string",
        "name": "string",
        "phone": "string",
        "trade_register": "string",
        "license_numbers": [
          "string"
        ],
        "address": {
          "street": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string"
        }
      },
      "descriptions": {
        "en": [
          {
            "title": "string",
            "description": "string"
          }
        ],
        "de": [
          {
            "title": "string",
            "description": "string"
          }
        ]
      },
      "images": [
        {
          "url": "string",
          "position": 42.0
        }
      ],
      "services": {
        "en": [
          {
            "type": "string",
            "description": "string",
            "has_cost": true
          }
        ],
        "de": [
          {
            "type": "string",
            "description": "string",
            "has_cost": true
          }
        ]
      }
    }
  ]
}
Response examples (400)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}